[arch-commits] Commit in yagf/repos (8 files)
Sergej Pupykin
spupykin at archlinux.org
Thu Mar 19 11:00:59 UTC 2015
Date: Thursday, March 19, 2015 @ 12:00:59
Author: spupykin
Revision: 129569
archrelease: copy trunk to community-i686, community-x86_64
Added:
yagf/repos/community-i686/PKGBUILD
(from rev 129568, yagf/trunk/PKGBUILD)
yagf/repos/community-i686/yagf.install
(from rev 129568, yagf/trunk/yagf.install)
yagf/repos/community-x86_64/PKGBUILD
(from rev 129568, yagf/trunk/PKGBUILD)
yagf/repos/community-x86_64/yagf.install
(from rev 129568, yagf/trunk/yagf.install)
Deleted:
yagf/repos/community-i686/PKGBUILD
yagf/repos/community-i686/yagf.install
yagf/repos/community-x86_64/PKGBUILD
yagf/repos/community-x86_64/yagf.install
-------------------------------+
/PKGBUILD | 74 ++++++++++++++++++++++++++++++++++++++++
/yagf.install | 26 ++++++++++++++
community-i686/PKGBUILD | 37 --------------------
community-i686/yagf.install | 13 -------
community-x86_64/PKGBUILD | 37 --------------------
community-x86_64/yagf.install | 13 -------
6 files changed, 100 insertions(+), 100 deletions(-)
Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD 2015-03-19 11:00:47 UTC (rev 129568)
+++ community-i686/PKGBUILD 2015-03-19 11:00:59 UTC (rev 129569)
@@ -1,37 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: das-ich <das-ich at yandex.ru>
-
-pkgname=yagf
-pkgver=0.9.4
-pkgrel=3
-pkgdesc="Qt4-based GUI for Cuneiform and Tesseract OCRs"
-arch=(i686 x86_64)
-url="http://symmetrica.net/cuneiform-linux/yagf-en.html"
-license=('GPL')
-depends=('qt4' 'aspell')
-optdepends=('cuneiform: recognition tool'
- 'tesseract: recognition tool'
- 'xsane: acquire images from a scanner into YAGF directly')
-makedepends=('cmake')
-install=yagf.install
-source=(https://yagf.googlecode.com/archive/yagf-$pkgver.tar.gz)
-md5sums=('SKIP')
-
-prepare() {
- cd `find ${srcdir}/ -type d -name "${pkgname}*"`
- cp src/images/{A,a}lign.png
- sed -i '1,1i#include <unistd.h>' src/mainform.cpp
-}
-
-build() {
- cd `find ${srcdir}/ -type d -name "${pkgname}*"`
- cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .
- make
-}
-
-package() {
- cd `find ${srcdir}/ -type d -name "${pkgname}*"`
- make DESTDIR=${pkgdir} install
- [ -d $pkgdir/usr/lib64 ] && mv $pkgdir/usr/lib64 $pkgdir/usr/lib || true
-}
Copied: yagf/repos/community-i686/PKGBUILD (from rev 129568, yagf/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2015-03-19 11:00:59 UTC (rev 129569)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: das-ich <das-ich at yandex.ru>
+
+pkgname=yagf
+pkgver=0.9.5
+pkgrel=1
+pkgdesc="Qt4-based GUI for Cuneiform and Tesseract OCRs"
+arch=(i686 x86_64)
+url="http://symmetrica.net/cuneiform-linux/yagf-en.html"
+license=('GPL')
+depends=('qt4' 'aspell')
+optdepends=('cuneiform: recognition tool'
+ 'tesseract: recognition tool'
+ 'xsane: acquire images from a scanner into YAGF directly')
+makedepends=('cmake')
+install=yagf.install
+source=(https://yagf.googlecode.com/archive/yagf-$pkgver.tar.gz)
+md5sums=('af87135f622363787b1e9c4ac1ab11a1')
+
+prepare() {
+ cd `find ${srcdir}/ -type d -name "${pkgname}*"`
+ cp src/images/{A,a}lign.png
+ sed -i '1,1i#include <unistd.h>' src/mainform.cpp
+}
+
+build() {
+ cd `find ${srcdir}/ -type d -name "${pkgname}*"`
+ cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .
+ make
+}
+
+package() {
+ cd `find ${srcdir}/ -type d -name "${pkgname}*"`
+ make DESTDIR=${pkgdir} install
+ [ -d $pkgdir/usr/lib64 ] && mv $pkgdir/usr/lib64 $pkgdir/usr/lib || true
+}
Deleted: community-i686/yagf.install
===================================================================
--- community-i686/yagf.install 2015-03-19 11:00:47 UTC (rev 129568)
+++ community-i686/yagf.install 2015-03-19 11:00:59 UTC (rev 129569)
@@ -1,13 +0,0 @@
-post_install() {
- [ -x `which update-mime-database` ] && update-mime-database usr/share/mime
- [ -x `which gtk-update-icon-cache` ] && gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
- bin/true
-}
-
-post_upgrade() {
- post_install $1
-}
-
-post_remove() {
- post_install $1
-}
Copied: yagf/repos/community-i686/yagf.install (from rev 129568, yagf/trunk/yagf.install)
===================================================================
--- community-i686/yagf.install (rev 0)
+++ community-i686/yagf.install 2015-03-19 11:00:59 UTC (rev 129569)
@@ -0,0 +1,13 @@
+post_install() {
+ [ -x `which update-mime-database` ] && update-mime-database usr/share/mime
+ [ -x `which gtk-update-icon-cache` ] && gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ bin/true
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}
Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD 2015-03-19 11:00:47 UTC (rev 129568)
+++ community-x86_64/PKGBUILD 2015-03-19 11:00:59 UTC (rev 129569)
@@ -1,37 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: das-ich <das-ich at yandex.ru>
-
-pkgname=yagf
-pkgver=0.9.4
-pkgrel=3
-pkgdesc="Qt4-based GUI for Cuneiform and Tesseract OCRs"
-arch=(i686 x86_64)
-url="http://symmetrica.net/cuneiform-linux/yagf-en.html"
-license=('GPL')
-depends=('qt4' 'aspell')
-optdepends=('cuneiform: recognition tool'
- 'tesseract: recognition tool'
- 'xsane: acquire images from a scanner into YAGF directly')
-makedepends=('cmake')
-install=yagf.install
-source=(https://yagf.googlecode.com/archive/yagf-$pkgver.tar.gz)
-md5sums=('SKIP')
-
-prepare() {
- cd `find ${srcdir}/ -type d -name "${pkgname}*"`
- cp src/images/{A,a}lign.png
- sed -i '1,1i#include <unistd.h>' src/mainform.cpp
-}
-
-build() {
- cd `find ${srcdir}/ -type d -name "${pkgname}*"`
- cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .
- make
-}
-
-package() {
- cd `find ${srcdir}/ -type d -name "${pkgname}*"`
- make DESTDIR=${pkgdir} install
- [ -d $pkgdir/usr/lib64 ] && mv $pkgdir/usr/lib64 $pkgdir/usr/lib || true
-}
Copied: yagf/repos/community-x86_64/PKGBUILD (from rev 129568, yagf/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2015-03-19 11:00:59 UTC (rev 129569)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: das-ich <das-ich at yandex.ru>
+
+pkgname=yagf
+pkgver=0.9.5
+pkgrel=1
+pkgdesc="Qt4-based GUI for Cuneiform and Tesseract OCRs"
+arch=(i686 x86_64)
+url="http://symmetrica.net/cuneiform-linux/yagf-en.html"
+license=('GPL')
+depends=('qt4' 'aspell')
+optdepends=('cuneiform: recognition tool'
+ 'tesseract: recognition tool'
+ 'xsane: acquire images from a scanner into YAGF directly')
+makedepends=('cmake')
+install=yagf.install
+source=(https://yagf.googlecode.com/archive/yagf-$pkgver.tar.gz)
+md5sums=('af87135f622363787b1e9c4ac1ab11a1')
+
+prepare() {
+ cd `find ${srcdir}/ -type d -name "${pkgname}*"`
+ cp src/images/{A,a}lign.png
+ sed -i '1,1i#include <unistd.h>' src/mainform.cpp
+}
+
+build() {
+ cd `find ${srcdir}/ -type d -name "${pkgname}*"`
+ cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .
+ make
+}
+
+package() {
+ cd `find ${srcdir}/ -type d -name "${pkgname}*"`
+ make DESTDIR=${pkgdir} install
+ [ -d $pkgdir/usr/lib64 ] && mv $pkgdir/usr/lib64 $pkgdir/usr/lib || true
+}
Deleted: community-x86_64/yagf.install
===================================================================
--- community-x86_64/yagf.install 2015-03-19 11:00:47 UTC (rev 129568)
+++ community-x86_64/yagf.install 2015-03-19 11:00:59 UTC (rev 129569)
@@ -1,13 +0,0 @@
-post_install() {
- [ -x `which update-mime-database` ] && update-mime-database usr/share/mime
- [ -x `which gtk-update-icon-cache` ] && gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
- bin/true
-}
-
-post_upgrade() {
- post_install $1
-}
-
-post_remove() {
- post_install $1
-}
Copied: yagf/repos/community-x86_64/yagf.install (from rev 129568, yagf/trunk/yagf.install)
===================================================================
--- community-x86_64/yagf.install (rev 0)
+++ community-x86_64/yagf.install 2015-03-19 11:00:59 UTC (rev 129569)
@@ -0,0 +1,13 @@
+post_install() {
+ [ -x `which update-mime-database` ] && update-mime-database usr/share/mime
+ [ -x `which gtk-update-icon-cache` ] && gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ bin/true
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}
More information about the arch-commits
mailing list